Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.numeric.cvode
Class N_Vector.ByReference

    java.lang.Object
      com.sun.jna.Structure
          de.grogra.numeric.cvode.N_Vector
              de.grogra.numeric.cvode.N_Vector.ByReference

All Implemented Interfaces:
  com.sun.jna.Structure.ByReference

Enclosing class:
  N_Vector

    public static class N_Vector.ByReference

extends N_Vector
implements com.sun.jna.Structure.ByReference

Nested Class Summary

Nested classes/interfaces inherited from class de.grogra.numeric.cvode.N_Vector
`N_Vector._N_VectorContent_Serial, N_Vector.ByReference, N_Vector.ByValue`

Field Summary

Fields inherited from class de.grogra.numeric.cvode.N_Vector
`content, ops`

Fields inherited from class com.sun.jna.Structure
`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

Constructor Summary
`N_Vector.ByReference()`

Method Summary

Methods inherited from class de.grogra.numeric.cvode.N_Vector
`get, get, getLength, set, set`

Methods inherited from class com.sun.jna.Structure
`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, clear, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldOrder, getFields, getFieldTypeInfo, getNativeAlignment, getNativeSize, getPointer, getStructAlignment, hashCode, newInstance, read, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setFieldOrder, setTypeMapper, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### N_Vector.ByReference

    public N_Vector.ByReference()

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD